Page MenuHomePhabricator

Firefox throws an exception every time enter is pressed
Closed, ResolvedPublic1 Estimate Story Points

Description

node is null in ve.ce.LinearSelection line 157

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (0ec5fe55f)
VisualEditor/VisualEditor : REL1_30Setup slugs in TreeModifier
VisualEditor/VisualEditor : masterSetup slugs in TreeModifier

Event Timeline

Esanders created this task.Sep 13 2017, 6:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2017, 6:34 PM
Esanders triaged this task as High priority.Sep 13 2017, 6:50 PM

regression introduce in TreeModifier commit

dchan added a comment.Sep 14 2017, 2:24 AM

The superficial reason for the exception is that ve.ce.LinearSelection#getNodeClientRectFromRange fails if the range lies in the middle of an empty <p></p>.

The deeper reason is that a <p></p> is being created without a chimera.

Change 378378 had a related patch set uploaded (by Divec; owner: Divec):
[VisualEditor/VisualEditor@master] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/378378

Change 378378 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/378378

Change 379328 had a related patch set uploaded (by Jforrester; owner: Divec):
[VisualEditor/VisualEditor@REL1_30] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/379328

Change 379328 merged by jenkins-bot:
[VisualEditor/VisualEditor@REL1_30] Setup slugs in TreeModifier

https://gerrit.wikimedia.org/r/379328

Change 379557 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (bd5da1725)

https://gerrit.wikimedia.org/r/379557

Jdforrester-WMF closed this task as Resolved.Sep 25 2017, 3:09 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 25 2017, 3:09 PM

Change 379557 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (0ec5fe55f)

https://gerrit.wikimedia.org/r/379557